﻿@using System.Security.Claims
@{
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
    string preTitle = role == Roles.Client ? "My" : "Client";
    ViewData["Title"] = $"{preTitle} ArcHive";
    var area = role == Roles.FirmPrincipal ? "firm-principal" : role == Roles.FirmAdmin ? "firm-admin" : "adviser";
    var OwnerUserId = User.Claims.FirstOrDefault(c => c.Type == "OwnerUserId")?.Value;
}
<div class="container">
    <div class="card">
        <div class="card-header flex-wrap border-0 pt-6 pb-0">
            <div class="card-title mb-0">
                <div class="d-flex justify-content-between">
                    <div class="flex-grow-1">
                        <h3 class="card-label text-primary">
                            @preTitle ArcHive
                        </h3>
                    </div>
                    @if (role == Roles.Client)
                    {
                        <div class="align-self-center">
                            <button class="btn btn-primary btn-sm font-size-h6 font-weight-bold btn-upload-document btn-add mr-5" id="btn_submit_arcupload" onclick='$("#ArcUploadModal").modal("show")'><i class="fas fa-upload"></i>Upload</button>
                        </div>
                        <div class="align-self-center">
                            <a onclick="goBack()" class="btn btn-sm btn-icon btn-outline-primary btn-hover-light-primary btn-circle" data-toggle="tooltip" title="Go Back">
                                <i class="fas fa-arrow-left"></i>
                            </a>
                        </div>
                    }
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="datatable datatable-bordered" id="client_list"></div>
        </div>
    </div>
</div>
@section scripts{
    <script src="~/js/page/archive.js" asp-append-version="true"></script>
}